Index: /Dev/branches/Cartis/css/visualeditors.css
===================================================================
--- /Dev/branches/Cartis/css/visualeditors.css	(revision 276)
+++ /Dev/branches/Cartis/css/visualeditors.css	(revision 277)
@@ -524,2 +524,8 @@
     text-decoration: underline;
 }
+
+
+.floatClearer {
+    float: left;
+    clear: both;
+}
Index: /Dev/branches/Cartis/dashboardDataSelection.php
===================================================================
--- /Dev/branches/Cartis/dashboardDataSelection.php	(revision 276)
+++ /Dev/branches/Cartis/dashboardDataSelection.php	(revision 277)
@@ -34,5 +34,5 @@
 
             <div id="breadcrumbs" class="largeFrame">
-                <a href="#">Login</a> > 
+                <a href="index.php">Login</a> > 
                 <a href="dashboardDataSelection.php" class="selected">Select data</a>
             </div>
Index: /Dev/branches/Cartis/dashboardOverview.php
===================================================================
--- /Dev/branches/Cartis/dashboardOverview.php	(revision 276)
+++ /Dev/branches/Cartis/dashboardOverview.php	(revision 277)
@@ -24,11 +24,4 @@
         <script src="rGraph/libraries/RGraph.rose.js"></script>
 
-        <script>
-            myGraph.Set('chart.contextmenu', [
-                ['Get PNG', RGraph.showPNG],
-                null,
-                ['Cancel', function () {}]
-            ]);
-        </script>
 
         <script>
@@ -39,8 +32,40 @@
                 var inputData = JSON.parse(dataIn);
                 
+                window.charts = [];
                 
                 for (var n = 0; n < inputData.count; n++) {
-                    drawGraph(inputData.graphs[n][0], inputData.graphs[n][1], inputData.graphs[n][2], inputData.graphs[n][3], inputData.graphs[n][4])
+                    var name = inputData.graphs[n][0];
+                    var chart = drawGraph(name, inputData.graphs[n][1], inputData.graphs[n][2], inputData.graphs[n][3], inputData.graphs[n][4]);
+                    charts.push(chart);
                 }
+                
+                var el = ce("div");
+                el.className = "floatClearer";
+                ge("graphDisplay").appendChild(el);
+                /*
+                for (var n = 0; n < window.charts.length; n++) {
+                    // set context menu
+                    charts[n].Set('chart.contextmenu', [
+                        ['View graph fullscreen', RGraph.showPNG],
+                        null,
+                        ['Cancel', function() {}]
+                    ]);
+                }
+                 */
+               debugger;
+                var canvases = document.getElementsByTagName("canvas");
+                for (var n = 0; n < canvases.length; n++) {
+                    canvases[n].addEventListener("click", function(event) {
+                        debugger;
+                        RGraph.showPNG(event.target, event);
+                        //var div = ge("__rgraph_image_div__");
+                        //div.style.width = "800px";
+                        //div.style.height = "600px";
+                        //var img = ge("__rgraph_image_img__");
+                        //img.style.width = "800px";
+                        //img.style.height = "600px";
+                    }, true);
+                }
+                
             }
         </script> 
@@ -66,5 +91,5 @@
                 <div id="leftColumn">
 
-                    <div class="largeFrame C" id="dbDataSelector">
+                    <div class="largeFrame C" style="height: auto; max-height: none;">
 
                         <div class="largeTitle">Dashboard Overview</div>                         
@@ -85,5 +110,4 @@
         </div>
     </div>
-    <a href="dashboardDataSelection.php">Naar dataselection</a>"
 
 </body>
Index: /Dev/branches/Cartis/js/dashboardScripts.js
===================================================================
--- /Dev/branches/Cartis/js/dashboardScripts.js	(revision 276)
+++ /Dev/branches/Cartis/js/dashboardScripts.js	(revision 277)
@@ -61,5 +61,5 @@
             }
             if (type == null || type == undefined) //error?!?!?!
-            break;
+                break;
     }
     currentlySelected.uids = values;
@@ -334,4 +334,6 @@
     chart1.Draw();
     
+    return chart1;
+    
 }
 