Index: /Dev/branches/Cartis/Tiles preview/css/tile1.css
===================================================================
--- /Dev/branches/Cartis/Tiles preview/css/tile1.css	(revision 289)
+++ /Dev/branches/Cartis/Tiles preview/css/tile1.css	(revision 290)
@@ -471,2 +471,25 @@
 
 }
+
+.fullGraphDisplay {
+    position: absolute;
+    top: 0;
+    left: 0;
+    float: left;
+}
+
+.hidden {
+    visibility: hidden;
+    height: 0;
+}
+
+.fullscreenGraphContainer {
+    width: 934px;
+    padding: 3px;
+    height: 540px;
+    background-color: #367ac3;
+    z-index: 1;
+    position: relative;
+    left: 0;
+    top: 0;
+}
Index: /Dev/branches/Cartis/Tiles preview/index.html
===================================================================
--- /Dev/branches/Cartis/Tiles preview/index.html	(revision 289)
+++ /Dev/branches/Cartis/Tiles preview/index.html	(revision 290)
@@ -15,5 +15,4 @@
         <script type="text/javascript">
             $(document).ready(function(){
-               debugger;
                mockup.api.breadcrumbs.init(); 
             });
Index: /Dev/branches/Cartis/Tiles preview/js/classes/graphs.js
===================================================================
--- /Dev/branches/Cartis/Tiles preview/js/classes/graphs.js	(revision 289)
+++ /Dev/branches/Cartis/Tiles preview/js/classes/graphs.js	(revision 290)
@@ -49,14 +49,57 @@
             _graphObject.Set('chart.strokestyle', 'rgba(240,240,240,1.0)');
             
-            
-            
+            //enlarge click event
+            if (canvas.id == "enlarged") {
+                canvas.addEventListener("click", function(event) {
+                    self.closeLarge(self);
+                }, true);
+                canvas.className = "fullGraphDisplay";
+            }
+            else {
+                canvas.addEventListener("click", function(event) {
+                    self.enlarge();
+                }, true);
+            }
             // Draw
             _graphObject.Draw();
         }
 
+        this.getId = function() {
+            return _id;
+        }
         this.getType = function() {
             return _type;
         }
 
+        this.enlarge = function() {
+            // Check if already enlarged?
+            debugger;
+            var present = document.getElementById("largeContainer");
+            if (present != null) return;
+            
+            var largeContainer = document.createElement("div");
+            largeContainer.className = "fullscreenGraphContainer"; // make css!
+            largeContainer.id = "largeContainer";
+            
+            // TESTING!!!! ///////////////////////////////
+            $("#content").append(largeContainer);
+            $(".basePanel").addClass("hidden");
+            
+            // END TESTING //////////////////////////
+            /*
+            $(".basePanel").append(largeContainer);
+            */
+            var largeGraph = new Graph("largeContainer");
+            largeGraph.init("enlarged", _data, _type, [900,550]);
+            var clearDiv = document.createElement("div");
+            $(clearDiv).css("float", "left").css("clear", "both");
+            largeGraph._container.appendChild(clearDiv);
+        }
+    
+        this.closeLarge = function(graph) {
+            debugger;
+            self._container.parentNode.removeChild(self._container);
+            $(".basePanel").removeClass('hidden');
+        }
     }
     
Index: /Dev/branches/Cartis/Tiles preview/js/dashboardScripts.js
===================================================================
--- /Dev/branches/Cartis/Tiles preview/js/dashboardScripts.js	(revision 289)
+++ /Dev/branches/Cartis/Tiles preview/js/dashboardScripts.js	(revision 290)
@@ -29,14 +29,32 @@
     instances: new Array(
     {
-        title: "Teamup Session 1",
-        creator: "Cartis Jansen",
-        date: "25-5-2012",
-        description: "BLablablablabla"
+        title: "Participant gender",
+        creator: "Jules duGrand",
+        date: "25-5-2012",
+        description: "The gender of the respondent, wording #1."
     },
     {
-        title: "Teamup Session 2",
-        creator: "Cartis Jansen",
-        date: "28-5-2012",
-        description: "250 deelnemers"
+        title: "Participant age",
+        creator: "Jules duGrand",
+        date: "25-5-2012",
+        description: "N/a"
+    },
+    {
+        title: "Game experience",
+        creator: "Peer van Neer",
+        date: "25-5-2012",
+        description: "Respondents experience with analog and video games."
+    }, 
+    {
+        title: "Current position within RWS",
+        creator: "Peer van Neer",
+        date: "26-5-2012",
+        description: "Respondent fills in own description of position or job title during the session."
+    },
+    {
+        title: "Job experience at employer",
+        creator: "Ellemiek Bosman",
+        date: "25-5-2012",
+        description: "Respondent fills in own time working at current company. May not be 100% accurate!"
     }
 
@@ -44,14 +62,14 @@
     gameData: new Array(
     {
-        title: "Veerkracht 17-3-2011",
-        creator: "Arne Bezuijen",
-        date: "17-3-2011",
-        description: "Great success"
+        title: "Veerkracht game session #1",
+        creator: "Ellemiek Bosman",
+        date: "25-5-2012",
+        description: "First play session. Users go into game without instructions."
     },
     {
-        title: "Ventum",
-        creator: "Cartis Jansen",
-        date: "1-1-2010",
-        description: "Op locatie"
+        title: "Veerkracht game session #2",
+        creator: "Ellemiek Bosman",
+        date: "25-5-2012",
+        description: "Second play session. Users have played game before and received feedback on their results."
     }
     )
Index: /Dev/branches/Cartis/Tiles preview/nbproject/private/private.xml
===================================================================
--- /Dev/branches/Cartis/Tiles preview/nbproject/private/private.xml	(revision 289)
+++ /Dev/branches/Cartis/Tiles preview/nbproject/private/private.xml	(revision 290)
@@ -4,5 +4,5 @@
         <file>
             <url>js/dashboardScripts.js</url>
-            <line>111</line>
+            <line>129</line>
         </file>
     </editor-bookmarks>
Index: /Dev/branches/Cartis/Tiles preview/pages/dashboardOverview.js
===================================================================
--- /Dev/branches/Cartis/Tiles preview/pages/dashboardOverview.js	(revision 289)
+++ /Dev/branches/Cartis/Tiles preview/pages/dashboardOverview.js	(revision 290)
@@ -2,8 +2,35 @@
    
     mockup.api.drawGraph = function(input) {
-       var graph = new Graph("graphsContainer");
-       graph.init(input[0], input[1], input[2], input[3]);       
+        var graph = new Graph("graphsContainer");
+        debugger;
+        for (var n = 0; n < mockup.api.graphs.graphObjects.length; n++) {
+            var exGraph = mockup.api.graphs.graphObjects[n];
+            // If this id already exists on the dashboard
+            if (exGraph.getId() == input[0]) {
+                input[0] = recursiveCheckName(input[0], exGraph.getId());
+            }
+        }
        
-       mockup.api.graphs.graphObjects.push(graph);
+        graph.init(input[0], input[1], input[2], input[3]);       
+       
+        mockup.api.graphs.graphObjects.push(graph);
+    }
+    
+    
+    function recursiveCheckName(name, name2) {
+        if (name == name2) {
+            var index= name.indexOf("_");
+            if (index != -1) {
+                var number = name.split("_")[1];
+                number++;
+                name = name.split("_")[0]+number;
+            }
+            else {
+                name+= "_0";
+            }
+            name = recursiveCheckName(name, name2);
+        }
+                    
+        return name;
     }
    