Index: Doc/New interface mockups/Session/Properties.txt
===================================================================
--- Doc/New interface mockups/Session/Properties.txt	(revision 262)
+++ Doc/New interface mockups/Session/Properties.txt	(revision 291)
@@ -1,5 +1,5 @@
 <mockup version="1.0" skin="sketch" measuredW="1316" measuredH="728" mockupW="1120" mockupH="704">
   <controls>
-    <control controlID="227" controlTypeID="com.balsamiq.mockups::TitleWindow" x="196" y="24" w="1120" h="704" measuredW="450" measuredH="400" zOrder="0" locked="false" isInGroup="-1">
+    <control controlID="117" controlTypeID="com.balsamiq.mockups::TitleWindow" x="196" y="24" w="1120" h="704" measuredW="450" measuredH="400" zOrder="0" locked="false" isInGroup="-1">
       <controlProperties>
         <bottomheight>0</bottomheight>
@@ -7,53 +7,98 @@
       </controlProperties>
     </control>
-    <control controlID="228" controlTypeID="com.balsamiq.mockups::VerticalTabBar" x="202" y="46" w="1112" h="641" measuredW="200" measuredH="157" zOrder="1" locked="false" isInGroup="-1">
+    <control controlID="118" controlTypeID="com.balsamiq.mockups::VerticalTabBar" x="202" y="46" w="1112" h="641" measuredW="200" measuredH="136" zOrder="1" locked="false" isInGroup="-1">
       <controlProperties>
         <selectedIndex>0</selectedIndex>
-        <text>Properties%0AAccounts%0ADesign</text>
+        <text>Properties%0ADesign</text>
         <value>0</value>
         <verticalScrollbar>false</verticalScrollbar>
       </controlProperties>
     </control>
-    <control controlID="229" controlTypeID="com.balsamiq.mockups::Button" x="1254" y="645" w="-1" h="-1" measuredW="54" measuredH="27" zOrder="2" locked="false" isInGroup="-1">
+    <control controlID="119" controlTypeID="com.balsamiq.mockups::Button" x="1254" y="645" w="-1" h="-1" measuredW="54" measuredH="27" zOrder="10" locked="false" isInGroup="-1">
       <controlProperties>
         <text>Save</text>
       </controlProperties>
     </control>
-    <control controlID="230" controlTypeID="com.balsamiq.mockups::Button" x="1184" y="644" w="-1" h="-1" measuredW="64" measuredH="27" zOrder="3" locked="false" isInGroup="-1">
+    <control controlID="120" controlTypeID="com.balsamiq.mockups::Button" x="1184" y="644" w="-1" h="-1" measuredW="64" measuredH="27" zOrder="11" locked="false" isInGroup="-1">
       <controlProperties>
         <text>Cancel</text>
       </controlProperties>
     </control>
-    <control controlID="231" controlTypeID="com.balsamiq.mockups::Label" x="288" y="61" w="-1" h="-1" measuredW="40" measuredH="21" zOrder="4" locked="false" isInGroup="-1">
+    <control controlID="121" controlTypeID="com.balsamiq.mockups::Label" x="288" y="97" w="-1" h="-1" measuredW="40" measuredH="21" zOrder="12" locked="false" isInGroup="-1">
       <controlProperties>
         <text>Title%3A%20</text>
       </controlProperties>
     </control>
-    <control controlID="232" controlTypeID="com.balsamiq.mockups::Label" x="288" y="82" w="-1" h="-1" measuredW="77" measuredH="21" zOrder="5" locked="false" isInGroup="-1">
+    <control controlID="122" controlTypeID="com.balsamiq.mockups::Label" x="288" y="118" w="-1" h="-1" measuredW="77" measuredH="21" zOrder="13" locked="false" isInGroup="-1">
       <controlProperties>
         <text>Description%3A%20</text>
       </controlProperties>
     </control>
-    <control controlID="233" controlTypeID="com.balsamiq.mockups::Label" x="286" y="223" w="-1" h="-1" measuredW="88" measuredH="21" zOrder="6" locked="false" isInGroup="-1">
+    <control controlID="123" controlTypeID="com.balsamiq.mockups::Label" x="286" y="259" w="-1" h="-1" measuredW="88" measuredH="21" zOrder="14" locked="false" isInGroup="-1">
       <controlProperties>
         <text>Planned%20date%3A%20</text>
       </controlProperties>
     </control>
-    <control controlID="234" controlTypeID="com.balsamiq.mockups::TextInput" x="380" y="57" w="363" h="-1" measuredW="79" measuredH="27" zOrder="7" locked="false" isInGroup="-1">
+    <control controlID="124" controlTypeID="com.balsamiq.mockups::TextInput" x="380" y="93" w="363" h="-1" measuredW="79" measuredH="27" zOrder="15" locked="false" isInGroup="-1">
       <controlProperties>
         <text/>
       </controlProperties>
     </control>
-    <control controlID="235" controlTypeID="com.balsamiq.mockups::TextArea" x="380" y="82" w="362" h="140" measuredW="200" measuredH="140" zOrder="8" locked="false" isInGroup="-1">
+    <control controlID="125" controlTypeID="com.balsamiq.mockups::TextArea" x="380" y="118" w="362" h="140" measuredW="200" measuredH="140" zOrder="16" locked="false" isInGroup="-1">
       <controlProperties>
         <text/>
       </controlProperties>
     </control>
-    <control controlID="236" controlTypeID="com.balsamiq.mockups::Calendar" x="380" y="223" w="-1" h="-1" measuredW="96" measuredH="96" zOrder="9" locked="false" isInGroup="-1"/>
-    <control controlID="238" controlTypeID="com.balsamiq.mockups::Button" x="1256" y="694" w="-1" h="-1" measuredW="53" measuredH="27" zOrder="10" locked="false" isInGroup="-1">
+    <control controlID="126" controlTypeID="com.balsamiq.mockups::Calendar" x="380" y="259" w="-1" h="-1" measuredW="96" measuredH="96" zOrder="17" locked="false" isInGroup="-1"/>
+    <control controlID="127" controlTypeID="com.balsamiq.mockups::Button" x="1256" y="694" w="-1" h="-1" measuredW="53" measuredH="27" zOrder="18" locked="false" isInGroup="-1">
       <controlProperties>
         <text>Back</text>
       </controlProperties>
     </control>
+    <control controlID="128" controlTypeID="com.balsamiq.mockups::SubTitle" x="288" y="55" w="-1" h="-1" measuredW="91" measuredH="33" zOrder="19" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>General</text>
+      </controlProperties>
+    </control>
+    <control controlID="129" controlTypeID="com.balsamiq.mockups::SubTitle" x="288" y="370" w="-1" h="-1" measuredW="146" measuredH="33" zOrder="2" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>Collaborators</text>
+      </controlProperties>
+    </control>
+    <control controlID="130" controlTypeID="com.balsamiq.mockups::Label" x="290" y="408" w="-1" h="-1" measuredW="63" measuredH="21" zOrder="3" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>Add%20new%3A%20</text>
+      </controlProperties>
+    </control>
+    <control controlID="131" controlTypeID="com.balsamiq.mockups::TextInput" x="368" y="404" w="221" h="-1" measuredW="185" measuredH="27" zOrder="4" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>emailaddress@hostname.com</text>
+      </controlProperties>
+    </control>
+    <control controlID="132" controlTypeID="com.balsamiq.mockups::Button" x="598" y="406" w="-1" h="-1" measuredW="47" measuredH="27" zOrder="5" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>Add</text>
+      </controlProperties>
+    </control>
+    <control controlID="133" controlTypeID="com.balsamiq.mockups::Canvas" x="288" y="435" w="988" h="138" measuredW="100" measuredH="70" zOrder="6" locked="false" isInGroup="-1">
+      <controlProperties>
+        <verticalScrollbar>true</verticalScrollbar>
+      </controlProperties>
+    </control>
+    <control controlID="134" controlTypeID="com.balsamiq.mockups::Icon" x="296" y="447" w="-1" h="-1" measuredW="16" measuredH="16" zOrder="7" locked="false" isInGroup="-1">
+      <controlProperties>
+        <icon>ContactIcon%7Cxsmall</icon>
+      </controlProperties>
+    </control>
+    <control controlID="135" controlTypeID="com.balsamiq.mockups::Label" x="324" y="445" w="-1" h="-1" measuredW="85" measuredH="21" zOrder="8" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>Arne%20Bezuijen</text>
+      </controlProperties>
+    </control>
+    <control controlID="136" controlTypeID="com.balsamiq.mockups::Label" x="460" y="444" w="-1" h="-1" measuredW="129" measuredH="21" zOrder="9" locked="false" isInGroup="-1">
+      <controlProperties>
+        <text>%28Their%20email%20address%29</text>
+      </controlProperties>
+    </control>
   </controls>
 </mockup>